74cdd76
--- /dev/null	2019-09-28 14:48:27.937320545 +0200
74cdd76
+++ bootstrap	2019-09-29 00:35:05.782099759 +0200
74cdd76
@@ -0,0 +1,41 @@
74cdd76
+#!/bin/sh
74cdd76
+
74cdd76
+warn() {
74cdd76
+	echo "WARNING: $@" 1>&2
74cdd76
+}
74cdd76
+
74cdd76
+case `uname -s` in
74cdd76
+Darwin)
74cdd76
+	LIBTOOLIZE=glibtoolize
74cdd76
+	;;
74cdd76
+FreeBSD)
74cdd76
+	LIBTOOLIZE=libtoolize
74cdd76
+	;;
74cdd76
+Linux)
74cdd76
+	LIBTOOLIZE=libtoolize
74cdd76
+	;;
74cdd76
+SunOS)
74cdd76
+	LIBTOOLIZE=libtoolize
74cdd76
+	;;
74cdd76
+*)
74cdd76
+	warn "unrecognized platform:" `uname -s`
74cdd76
+	LIBTOOLIZE=libtoolize
74cdd76
+esac
74cdd76
+
74cdd76
+# check for varnishapi.m4 in custom paths
74cdd76
+dataroot=$(pkg-config --variable=datarootdir varnishapi 2>/dev/null)
74cdd76
+if [ -z "$dataroot" ] ; then
74cdd76
+	cat >&2 <<'EOF'
74cdd76
+Package varnishapi was not found in the pkg-config search path.
74cdd76
+Perhaps you should add the directory containing `varnishapi.pc'
74cdd76
+to the PKG_CONFIG_PATH environment variable
74cdd76
+EOF
74cdd76
+	exit 1
74cdd76
+fi
74cdd76
+set -ex
74cdd76
+mkdir -p m4
74cdd76
+aclocal -I m4 -I ${dataroot}/aclocal
74cdd76
+$LIBTOOLIZE --copy --force
74cdd76
+autoheader
74cdd76
+automake --add-missing --copy --foreign
74cdd76
+autoconf